HELP: Dependencies not Met?

  Thread Rating:
  • 0 Votes - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Post Reply
dio_free Offline
Member
Posts: 98
Joined: Feb 2013
Reputation: 0
Post: #1
Hi guys,
I have no idea what's going on.
I just setup my first HTPC and running OpenELEC. It seems to be running fine but every time I try to install an addon, i get the error that "dependencies are not met". What is going on?

Is this because the version of frodo I have is not supported by these add ons?

Please help Sad
find quote
artrafael Offline
Team-XBMC Forum Moderator
Posts: 6,355
Joined: Jul 2010
Reputation: 111
Location: USA
Post: #2
You didn't say which add-ons, so don't know if you are referring to the default XBMC.org repository or some third-party repository. If it's the XBMC.org repository, you can try doing a "Force refresh" (System/Settings > Add-ons > Get Add-ons > open context menu of selected repository). For a third-party repository, in addition to "Force refresh", see if there's a separate Frodo repository -- if there is, remove the old one and add the new Frodo-compatible one.
find quote
dio_free Offline
Member
Posts: 98
Joined: Feb 2013
Reputation: 0
Post: #3
Thanks art.

The addons I tried were third party:

-Aeon MQ4 (tried installing from here first http://wiki.xbmc.org/index.php?title=3rd...positories .. then I tried using the link from here http://www.marcosqui.com.br/downloads_english.html)
-Canada On Demand (https://github.com/marius-muja/plugin.vi....on.demand)
-Justin Tv add-on (http://code.google.com/p/divingmules-rep...loads/list)

I'd like to get those to work. Sad I don't know if i installed them correctly. I tried installing from zip and that's where I get there error.
(This post was last modified: 2013-02-23 21:42 by dio_free.)
find quote
artrafael Offline
Team-XBMC Forum Moderator
Posts: 6,355
Joined: Jul 2010
Reputation: 111
Location: USA
Post: #4
(2013-02-23 21:19)dio_free Wrote:  Related question: How do i add default XBMC repository add ons?

System/Settings > Add-ons > Get Add-ons

Same technique for all add-ons, regardless of repository, other than those you install via zip file. Typically, third-party repositories are installed via zip, but once that's done, you can install the add-ons from those repositories using this technique.
(This post was last modified: 2013-02-23 21:44 by artrafael.)
find quote
dio_free Offline
Member
Posts: 98
Joined: Feb 2013
Reputation: 0
Post: #5
Got them working. Thanks Smile
(This post was last modified: 2013-02-23 22:28 by dio_free.)
find quote
Foxw Offline
Junior Member
Posts: 1
Joined: Jul 2013
Reputation: 0
Post: #6
okay, getting this message on almost every xbmc official repository add-on.

last tried xwmm add on
current xbmc version 13-alpha6

am rather curious as to why default repository items giving such issues
find quote
spiff Offline
Retired Developer
Posts: 12,386
Joined: Nov 2003
Post: #7
bugs in an alpha? the world is coming to an end!
find quote
Martijn Offline
Team-XBMC
Posts: 11,037
Joined: Jul 2011
Reputation: 158
Location: Dawn of time
Post: #8
delete addons15.db from userdata

Always read the XBMC online-manual, FAQ and search the forums before posting.
Do NOT e-mail Team-XBMC members asking for support. Read/follow the forum rules.
For troubleshooting and bug reporting, make sure you read this first

For your mediacenter artwork go to
[Image: fanarttv.png]
find quote
dms6601 Offline
Junior Member
Posts: 3
Joined: Jul 2013
Reputation: 0
Post: #9
I'm having the same issue.

My environment is: Openelec r16208 (compiled last night), on RPi, and XBMC version is 13 (alpha 9).

For example I attempt to install from zip, Navi-X and I immediately get that dependencies not met crap.

did: mv Addons??.db to a bak file name
did: restart xbmc.bin
did: reattempt to install addon (Navi-X)

* Also getting a lot of "marked broken" notifications requests, which I'm ignoring for now.
(This post was last modified: 2013-10-17 17:25 by dms6601.)
find quote
Martijn Offline
Team-XBMC
Posts: 11,037
Joined: Jul 2011
Reputation: 158
Location: Dawn of time
Post: #10
We provide no help for any piracy addon.

Always read the XBMC online-manual, FAQ and search the forums before posting.
Do NOT e-mail Team-XBMC members asking for support. Read/follow the forum rules.
For troubleshooting and bug reporting, make sure you read this first

For your mediacenter artwork go to
[Image: fanarttv.png]
find quote
dms6601 Offline
Junior Member
Posts: 3
Joined: Jul 2013
Reputation: 0
Post: #11
Sure, but it's not one particular addons, or one particular "marked broken" notifications requests, it's a bunch of spurious notifications that inhibit installation of a broad range of addons, or repositories.

Is there a code change that addon programmers need to address? I'm just trying to understand the error as there is little in the xbmc.log that is useful.
find quote
Martijn Offline
Team-XBMC
Posts: 11,037
Joined: Jul 2011
Reputation: 158
Location: Dawn of time
Post: #12
Yes. I posted the change in our python dev section of the forum. If they don't follow up on that they will end up with broken addons.
We notified them now way before final release.
That's where our responsibility ends.

Always read the XBMC online-manual, FAQ and search the forums before posting.
Do NOT e-mail Team-XBMC members asking for support. Read/follow the forum rules.
For troubleshooting and bug reporting, make sure you read this first

For your mediacenter artwork go to
[Image: fanarttv.png]
(This post was last modified: 2013-10-17 19:34 by Martijn.)
find quote